body {
  height: auto;
}

.container {
  grid-template-rows: 10vh minmax(90vh, 100%) 6vh;
}

main {
  width: 60vw;
  height: 100%;
  display: grid;
  place-items: center;
}

.faq-box {
  width: 100%;
  height: auto;
  min-height: 0;
  border-radius: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 3vh;
  margin-bottom: 3vh;
}

h1 {
  color: #da9e34;
  --font: 3rem;
  font-size: var(--font);
  letter-spacing: calc(var(--font) * -0.02);
  margin-bottom: -2vh;
}

.faq {
  width: 100%;
  text-align: justify;
  cursor: pointer;
  position: relative;
  background: rgb(24, 24, 24);
  padding: 2rem 4rem;
  border-radius: 1rem;
}

.faq h2 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 2rem;
}

.faq h3 {
  color: #da9e34;
}

.answer {
  margin-top: 0.5vh;
  --font: 1.2rem;
  font-size: var(--font);
  line-height: calc(var(--font) * 1.5);
  max-height: 0;
  overflow: hidden;
  transition: 1s max-height ease-in-out;
}

.arr {
  width: 1rem;
  height: 1rem;
  transition: transform ease-in 0.5s, color ease-in 0.5s;
}

.faq.active .answer {
  max-height: 50vh;
  animation: fadeIn 0.5s ease-in;
}

.faq.active .arr {
  transform: rotate(180deg);
  color: #da9e34;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateY(-1rem);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

footer {
  grid-row: 3;
  width: 100vw;
  height: 6vh;
  background: var(--main);
  display: grid;
  place-items: center;
}

@media screen and (width: 1280px) {
  html {
    font-size: 11px;
  }
}

@media screen and (width: 3840px) {
  html {
    font-size: 32px;
  }
}

@media screen and (min-width: 641px) and (max-width: 1000px) {
  html {
    font-size: 24px;
  }
  body {
    height: auto;
  }
  .container {
    grid-template-rows: 10vh minmax(100vh, 100%) 6vh;
    width: 100vw;
  }

  nav {
    width: 100vw;
    height: 10vh;
    display: grid;
    background: rgb(24, 24, 24);
    grid-template-columns: 20% 80%;
    place-items: center;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 999;
  }

  .links {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: #da9e34;
    justify-content: center;
    align-items: start;
    flex-flow: column;
    font-size: 2rem;
  }

  .links a {
    margin-top: 3vh;
    margin-left: 20%;
  }

  .links a:nth-child(1) {
    margin: 0;
    margin-left: 20%;
  }

  .lang {
    width: 2rem;
    height: 2rem;
    border-radius: 100%;
  }

  a.lang {
    margin: 0;
    margin-left: 20%;
    position: absolute;
    top: 3vh;
  }

  .spacer {
    display: none;
  }

  .sm {
    display: flex;
    gap: 3rem;
    margin-top: 3vh;
    margin-left: 20%;
  }
  .ic {
    width: 3rem;
    height: 3rem;
    z-index: 111;
    margin-top: 1vh;
  }

  .links a:hover {
    color: #525252;
  }

  .ic:hover {
    color: #fff;
  }

  .ic:focus {
    color: #525252;
  }

  .menu {
    width: 1.5rem;
    height: 1.5rem;
    position: absolute;
    top: 3vh;
    right: 10vw;
    display: block;
    cursor: pointer;
  }

  .menu:active {
    color: #da9e34;
  }

  main {
    width: 90%;
    height: 100%;
    grid-row: 2;
  }

  h1 {
    --font: 2rem;
    text-align: center;
  }

  .faq {
    padding: 2rem 1rem;
  }

  .faq h2 {
    width: 90%;
    font-size: 1.5rem;
    overflow: hidden;
    text-align: left;
  }

  .arr {
    position: absolute;
    width: 2rem;
    right: 2rem;
  }
}

@media screen and (min-width: 641px) and (max-width: 768px) {
  body {
    height: auto;
  }

  .container {
    grid-template-rows: 10vh minmax(100vh, 100%) 6vh;
  }

  html {
    font-size: 22px;
  }
}

.menu-show {
  animation: 0.2s menu-show linear;
}

@keyframes menu-show {
  0% {
    left: 100%;
  }
  100% {
    right: -100%;
  }
}

.menu-close {
  animation: 0.2s menu-close linear;
}

@keyframes menu-close {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(150%);
  }
}

@media screen and (max-width: 600px) {
  html {
    font-size: 15px;
  }
  body {
    height: auto;
  }
  .container {
    grid-template-rows: 10vh minmax(100vh, 100%) 6vh;
    width: 100vw;
  }

  nav {
    width: 100vw;
    height: 10vh;
    display: grid;
    background: rgb(24, 24, 24);
    grid-template-columns: 20% 80%;
    place-items: center;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 999;
  }

  .links {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: #da9e34;
    justify-content: center;
    align-items: start;
    flex-flow: column;
    font-size: 2rem;
  }

  .links a {
    margin-top: 3vh;
    margin-left: 20%;
  }

  .links a:nth-child(1) {
    margin: 0;
    margin-left: 20%;
  }

  .lang {
    width: 2rem;
    height: 2rem;
    border-radius: 100%;
  }

  a.lang {
    margin: 0;
    margin-left: 20%;
    position: absolute;
    top: 3vh;
  }

  .spacer {
    display: none;
  }

  .sm {
    display: flex;
    gap: 3rem;
    margin-top: 3vh;
    margin-left: 20%;
  }
  .ic {
    width: 4rem;
    height: 4rem;
    z-index: 111;
    margin-top: 1vh;
  }

  .links a:hover {
    color: #525252;
  }

  .ic:hover {
    color: #fff;
  }

  .ic:focus {
    color: #525252;
  }

  .menu {
    width: 2rem;
    height: 2rem;
    position: absolute;
    top: 3vh;
    right: 10vw;
    display: block;
    cursor: pointer;
  }

  .menu:active {
    color: #da9e34;
  }

  main {
    width: 90%;
    height: 100%;
    grid-row: 2;
  }

  h1 {
    --font: 2rem;
    text-align: center;
  }

  .faq h2 {
    width: 90%;
    font-size: 1.3rem;
    overflow: hidden;
    text-align: left;
  }

  .faq {
    padding: 2rem 1rem;
  }

  .arr {
    position: absolute;
    width: 1.5rem;
    right: 2rem;
  }
}

@media screen and (max-width: 400px) {
  html {
    font-size: 14px;
  }
}

@media screen and (min-width: 250px) and (max-width: 300px) {
  html {
    font-size: 10px;
  }
}
